/*
 * PokeFrog - A 'Pokemonized' verison of Frogger, the well-known Konami game.
 *
 * copyright (c) 2012 Fabien LOISON <http://www.flogisoft.com/>
 * 
 * this program is free software. it comes without any warranty, to
 * the extent permitted by applicable law. you can redistribute it
 * and/or modify it under the terms of the do what the fuck you want
 * to public license, version 2, as published by sam hocevar. see
 * http://sam.zoy.org/wtfpl/copying for more details. 
 */


/**
 * A 'Pokemonized' verison of Frogger, the well-known Konami game.
 *
 * @module PokeFrog
 * @main PokeFrog
 */


// Enable the debug mode
var DEBUG = false;


/**
 * The main function of PokeFrog. Called when everything is loaded.
 *
 * @class pokefrogMain
 * @constructor
 * @static
 */
function pokefrogMain()
{
	game = new Game();
}


var game = null

// Initialize WonderJS
wjs.init('pokefrog', 650, 450);

// Import js
wjs.loader.loadScript('js/game.js');
wjs.loader.loadScript('js/player.js');
wjs.loader.loadScript('js/lily.js');
wjs.loader.loadScript('js/finishscreen.js');
wjs.loader.loadScript('js/enemy.js');
wjs.loader.loadScript('js/_resources.js');

// Import pixmaps
wjs.loader.loadImage('main', 'pixmaps/main.png');
wjs.loader.loadImage('pokemon', 'pixmaps/pokemon.png');
wjs.loader.loadImage('enemies', 'pixmaps/enemies.png');
wjs.loader.loadImage('winscreen', 'pixmaps/win.png');
wjs.loader.loadImage('gameoverscreen', 'pixmaps/gameover.png');
wjs.loader.loadImage('finishscreenbg', 'pixmaps/finishscreen_bg.png');

// Wait until everything is loaded.
wjs.loader.waitLoad(pokefrogMain);
